<xsl:stylesheet xmlns:xsl="http://www.w3.org/TR/WD-xsl">

  <xsl:template>
    <xsl:value-of />
  </xsl:template>

  <xsl:template match="/">
    <HTML>
      <BODY BGCOLOR="#FFFF80"><TITLE>HR XML Example</TITLE>
	  <table>
	  <tr>
	  <td width="25"></td>
	  <td width="600">
	  <H1 style="padding-left: 15px; background-color: #000000; color: #ffffff; font-family: Verdana, Arial; font-size: 18pt; text-align: center; font-style: italic; letter-spacing: 0.5em">
      Job Opportunities
	  </H1>
	  <xsl:for-each select="jobdatabase/jobposting">
          <table>
		  <xsl:apply-templates select="hiringorg/name" />
              <xsl:apply-templates select="jobinformation/jobtitle" />
			  <xsl:apply-templates select="jobinformation/joblocation" />
              <xsl:apply-templates select="jobinformation/jobdescription" />
              <xsl:apply-templates select="jobinformation/howtoapply" />
            </table>
          </xsl:for-each>

</td>		  
</tr>
</table>
<BR></BR>
<BR></BR>
<HR></HR>
</BODY>
</HTML>
  </xsl:template>


  <xsl:template match="hiringorg/name">
   
   <TR><TD WIDTH="200" VALIGN="TOP">
   <B>EMPLOYER/AGENCY:</B>
	</TD>
	<TD WIDTH="400" VALIGN="TOP">
	     <xsl:apply-templates /> 
   <BR/>
   <BR/>
    </TD>
 </TR> 
  </xsl:template>

 <xsl:template match="jobinformation/jobtitle">
   
   <TR><TD WIDTH="200" VALIGN="TOP">
   <B>POSITION TITLE:</B>
	</TD>
	<TD WIDTH="400" VALIGN="TOP">
	   <xsl:apply-templates /> 
   <BR/>
   <BR/>
    </TD>
 </TR> 
  </xsl:template>


<xsl:template match="jobinformation/joblocation">
   <TR><TD WIDTH="200" VALIGN="TOP">
   <B>LOCATION:</B>
	</TD>
	<TD WIDTH="400" VALIGN="TOP">
	   <xsl:apply-templates />
   <BR/>
   <BR/>
    </TD>
 </TR> 
  </xsl:template>


<xsl:template match="jobinformation/jobdescription">
   <TR><TD WIDTH="200" VALIGN="TOP">
   <B>DESCRIPTION:</B>
	</TD>
	<TD WIDTH="400" VALIGN="TOP">
  <xsl:apply-templates select="jobinformation/jobdescription/jobpurpose" />
  <xsl:apply-templates select="jobinformation/jobdescription/essentialfunctions" />
  <xsl:apply-templates select="jobinformation/jobdescription/qualifications" />
  <xsl:apply-templates select="jobinformation/jobdescription/preferences" />
  <xsl:apply-templates select="jobinformation/jobdescription/compensation" />
  <xsl:apply-templates />
   <BR/>
   <BR/>
    </TD>
 </TR> 
  </xsl:template>

<xsl:template match="jobinformation/jobdescription/jobpurpose">
<B>Job Purpose:</B> <xsl:apply-templates />   
</xsl:template>

<xsl:template match="jobinformation/jobdescription/essentialfunctions">
<BR/>
<BR/><B>Essential Functions:</B> <xsl:apply-templates /> 
</xsl:template>

<xsl:template match="jobinformation/jobdescription/qualifications">
  <xsl:apply-templates select="//qualifications/softwarerequired" />
  <xsl:apply-templates select="//qualifications/educationrequired" />
 <xsl:apply-templates select="//qualifications/preferences" />
 </xsl:template>

<xsl:template match="//qualifications/softwarerequired">
<B>Software Required:</B><UL>
<xsl:apply-templates select="//qualifications/softwarerequired/software" />
</UL>
</xsl:template>

<xsl:template match="//qualifications/softwarerequired/software">
<LI><xsl:value-of />  </LI>
</xsl:template>

<xsl:template match="//qualifications/educationrequired">
<xsl:apply-templates select="//qualifications/educationrequired/degree" />
</xsl:template>

<xsl:template match="//qualifications/educationrequired/degree">
<B>Education:</B> <xsl:apply-templates/>
</xsl:template>

<xsl:template match="//preferences">
<BR/><BR/>
<B>Other:</B> <xsl:apply-templates/>
</xsl:template>

<xsl:template match="jobinformation/jobdescription/compensation">
<BR/><BR/>
<B>Compensation:</B> <xsl:apply-templates/>
</xsl:template>

<xsl:template match="jobinformation/jobdetail">
</xsl:template>

<xsl:template match="jobinformation/postdetail">
</xsl:template>

 <xsl:template match="jobinformation/howtoapply[@distribute='external']">
   
   <TR><TD WIDTH="200" VALIGN="TOP">
   <B>HOW TO APPLY:</B>
	</TD>
	<TD WIDTH="400" VALIGN="TOP">
	<xsl:apply-templates />
   <BR/>
    </TD>
 </TR> 
  </xsl:template>

 <xsl:template match="jobinformation/howtoapply[@distribute='internal']">
 </xsl:template>

<xsl:template match="//p">
 <xsl:apply-templates />
</xsl:template>

<xsl:template match="//ul">
 <UL>
 <xsl:apply-templates />
  </UL>
  </xsl:template>

<xsl:template match="//ul/li">
<xsl:for-each>
   <LI>    <xsl:value-of /> 
</LI>
</xsl:for-each>

  </xsl:template>
  
<xsl:template match="//p/link[@mailto]">
   <A>
   <xsl:attribute name="href">
   mailto:<xsl:value-of />
   </xsl:attribute>
   <xsl:value-of />
   </A>
   </xsl:template>  

</xsl:stylesheet>
